package main

import "time"

type Bookmark struct {
	Id       int
	Name     string
	Url      string
	Desc     string
	Tags     []string
	Created  time.Time
	LastUsed time.Time
}

func NewBookmark(url string) *Bookmark {
	// First, search for a bookmark with this same URL
	// If we didn't find one, create a new bookmark struct
	b := Bookmark{
		Id:  0,
		Url: url,
	}
	return &b
}
